from django.urls import path

from . import views

app_name = "module_cms"

urlpatterns = [
    path('faq/', views.FaqView.as_view(), name="faq"),
    path('faq/list/', views.FaqListJson.as_view(), name="faq_list"),
    path('faq/add/', views.FaqCreateOrUpdateView.as_view(), name='faq_add'),
    path('faq/edit/<int:pk>/', views.FaqCreateOrUpdateView.as_view(), name='faq_edit'),
    path('faq/action/', views.FaqActionView.as_view(), name='faq_action'),
    path('faq/archive/', views.FaqArchiveView.as_view(), name='faq_archive'),

    path('about-us/', views.AboutUsView.as_view(), name='about_us'),
    path('about-us/edit/', views.AboutUsCreateOrUpdateView.as_view(), name='about_us_add'),

    path('terms-condition/', views.TermsConditionView.as_view(), name='terms_and_condition'),
    path('terms-condition/edit/', views.TermsConditionCreateOrUpdateView.as_view(), name='terms_and_condition_edit'),

    path('privacy-policy/', views.PrivacyPolicyView.as_view(), name='privacy_policy'),
    path('privacy-policy/edit/', views.PrivacyPolicyCreateOrUpdateView.as_view(), name='privacy_policy_edit'),
]
